<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<stl:block xmlns="http://www.w3.org/1999/xhtml" xmlns:stl="http://www.hforge.org/xml-namespaces/stl">
  <h2>Aide sur l'export ODT</h2>

  <ol>
    <li><a href="#prerequisites">Pré-requis</a></li>
    <li><a href="#usage">Utilisation</a></li>
    <li><a href="#template">Modèle</a></li>
    <li><a href="#links">Liens</a></li>
    <li><a href="#dl">Listes de définition</a></li>
    <li><a href="#book">Générer un livre</a></li>
  </ol>

  <h3 id="prerequisites">Pré-requis</h3>
  <ul>
    <li>Installez <a href="http://www.lpod-project.org/">LpOD</a> sur le serveur.</li>
  </ul>

  <h3 id="usage">Utilisation</h3>
  <p>Depuis une page, cliquez sur l'onglet <a href=";to_odt">Export ODT</a> pour accéder à cette fonctionnalité.</p>

  <h3 id="template">Modèle</h3>
  <p>Vous pouvez choisir un modèle dans lequel exporter le document.</p>

  <p>Un modèle est simplement un fichier ODT qui a été vidé de son précédent contenu et rempli avec le nouveau. Les styles, en-têtes et pieds de pages sont préservés. <strong>Le document original ne sera modifié en aucune façon.</strong></p>

  <p>Vous pouvez choisir un fichier ODT de votre ordinateur ou sélectionner un ODT précédemment importé dans le wiki. Cliquez ici pour <a href="../;new_resource?type=file">déposer un ODT</a>.</p>

  <h3 id="links">Liens</h3>
  <p>Les liens seront étendus à une URL pointant vers ce site web. Les URL existantes ne sont pas modifiées.</p>

  <h3 id="dl">Listes de définition</h3>
  <p>Les listes de définition sont converties en styles de paragraphe. Le style du terme est « Definition List Term » et le style de la définition est « Definition List Definition ». Des styles par défaut sont créés si aucun existe.</p>

  <h3 id="book">Générer un livre</h3>
  <p>Vous pouvez exporter plusieurs pages de wiki dans un seul ODT. Vous devez créer une page avec une structure comme celle-ci :</p>

  <pre>
.. book:: `page-de-couverture`_
   :toc-depth: 3
   :template: template-name
   :ignore-missing-pages: no
   :title: Titre...
   :comments: Commentaires...
              Sur plusieurs lignes...
   :subject: Sujet...
   :language: fr-FR
   :keywords: mot-clé 1, mot-clé 2...

   - `une-page`_
   - `une-autre-page`_
      - `une-sous-page`_
      - `une autre-sous-page`_
   - `une dernière-page`_
   </pre>

  <p>Le livre a un comportement intelligent :</p>
  <ul>
    <li>Le titre optionnel du livre est un lien vers la page de couverture.</li>
    <li>Les titres de couverture sont traités comme le titre principal et le sous-titre.</li>
    <li>Les pages dans des sous-listes verront leur niveau de titre incrémenté.</li>
    <li>Les liens vers les pages inclues seront remplacés par des ancres internes.</li>
    <li>Tout autre contenu dans cette page sera ignoré.</li>
  </ul>
</stl:block>
